Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.fpga
Class tSPI

    java.lang.Object
      edu.wpi.first.wpilibj.fpga.tSystem
          edu.wpi.first.wpilibj.fpga.tSPI

All Implemented Interfaces:
  ExpectedFPGASignature

    public class tSPI

extends tSystem

Field Summary
`static int` | `kNumSystems`

Fields inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`m_DeviceHandle, status`

Fields inherited from interface edu.wpi.first.wpilibj.fpga.ExpectedFPGASignature
`kBitfileName, kExpectedFPGARevision, kExpectedFPGASignature, kExpectedFPGASignatureStr, kExpectedFPGAVersion`

Constructor Summary
`tSPI()`

Method Summary
`protected void` | `finalize()`
`static short` | `readAvailableToLoad()`
`static byte` | `readChannels_MISO_Channel()`
`static byte` | `readChannels_MISO_Module()`
`static byte` | `readChannels_MOSI_Channel()`
`static byte` | `readChannels_MOSI_Module()`
`static byte` | `readChannels_SCLK_Channel()`
`static byte` | `readChannels_SCLK_Module()`
`static byte` | `readChannels_SS_Channel()`
`static byte` | `readChannels_SS_Module()`
`static int` | `readChannels()`
`static short` | `readConfig_BusBitWidth()`
`static short` | `readConfig_ClockHalfPeriodDelay()`
`static boolean` | `readConfig_ClockPolarity()`
`static boolean` | `readConfig_DataOnFalling()`
`static boolean` | `readConfig_FramePolarity()`
`static boolean` | `readConfig_LatchFirst()`
`static boolean` | `readConfig_LatchLast()`
`static boolean` | `readConfig_MSBfirst()`
`static boolean` | `readConfig_WriteOnly()`
`static int` | `readConfig()`
`static long` | `readDataToLoad()`
`static long` | `readReceivedData()`
`static short` | `readReceivedElements()`
`static boolean` | `readStatus_Idle()`
`static boolean` | `readStatus_ReceivedDataOverflow()`
`static int` | `readStatus()`
`static void` | `strobeClearReceivedData()`
`static void` | `strobeLoad()`
`static void` | `strobeReadReceivedData()`
`static void` | `strobeReset()`
`static void` | `writeChannels_MISO_Channel(int value)`
`static void` | `writeChannels_MISO_Module(int value)`
`static void` | `writeChannels_MOSI_Channel(int value)`
`static void` | `writeChannels_MOSI_Module(int value)`
`static void` | `writeChannels_SCLK_Channel(int value)`
`static void` | `writeChannels_SCLK_Module(int value)`
`static void` | `writeChannels_SS_Channel(int value)`
`static void` | `writeChannels_SS_Module(int value)`
`static void` | `writeChannels(int value)`
`static void` | `writeConfig_BusBitWidth(int value)`
`static void` | `writeConfig_ClockHalfPeriodDelay(int value)`
`static void` | `writeConfig_ClockPolarity(boolean value)`
`static void` | `writeConfig_DataOnFalling(boolean value)`
`static void` | `writeConfig_FramePolarity(boolean value)`
`static void` | `writeConfig_LatchFirst(boolean value)`
`static void` | `writeConfig_LatchLast(boolean value)`
`static void` | `writeConfig_MSBfirst(boolean value)`
`static void` | `writeConfig_WriteOnly(boolean value)`
`static void` | `writeConfig(int value)`
`static void` | `writeDataToLoad(long value)`

Methods inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`getFpgaGuid, Release`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kNumSystems

    public static final int kNumSystems

See Also:
  Constant Field Values

Constructor Detail

### tSPI

    public tSPI()

Method Detail

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `tSystem`

### readStatus

    public static int readStatus()

### readStatus_ReceivedDataOverflow

    public static boolean readStatus_ReceivedDataOverflow()

### readStatus_Idle

    public static boolean readStatus_Idle()

### readReceivedData

    public static long readReceivedData()

### writeDataToLoad

    public static void writeDataToLoad(long value)

### readDataToLoad

    public static long readDataToLoad()

### writeConfig

    public static void writeConfig(int value)

### writeConfig_BusBitWidth

    public static void writeConfig_BusBitWidth(int value)

### writeConfig_ClockHalfPeriodDelay

    public static void writeConfig_ClockHalfPeriodDelay(int value)

### writeConfig_MSBfirst

    public static void writeConfig_MSBfirst(boolean value)

### writeConfig_DataOnFalling

    public static void writeConfig_DataOnFalling(boolean value)

### writeConfig_LatchFirst

    public static void writeConfig_LatchFirst(boolean value)

### writeConfig_LatchLast

    public static void writeConfig_LatchLast(boolean value)

### writeConfig_FramePolarity

    public static void writeConfig_FramePolarity(boolean value)

### writeConfig_WriteOnly

    public static void writeConfig_WriteOnly(boolean value)

### writeConfig_ClockPolarity

    public static void writeConfig_ClockPolarity(boolean value)

### readConfig

    public static int readConfig()

### readConfig_BusBitWidth

    public static short readConfig_BusBitWidth()

### readConfig_ClockHalfPeriodDelay

    public static short readConfig_ClockHalfPeriodDelay()

### readConfig_MSBfirst

    public static boolean readConfig_MSBfirst()

### readConfig_DataOnFalling

    public static boolean readConfig_DataOnFalling()

### readConfig_LatchFirst

    public static boolean readConfig_LatchFirst()

### readConfig_LatchLast

    public static boolean readConfig_LatchLast()

### readConfig_FramePolarity

    public static boolean readConfig_FramePolarity()

### readConfig_WriteOnly

    public static boolean readConfig_WriteOnly()

### readConfig_ClockPolarity

    public static boolean readConfig_ClockPolarity()

### strobeClearReceivedData

    public static void strobeClearReceivedData()

### readReceivedElements

    public static short readReceivedElements()

### strobeLoad

    public static void strobeLoad()

### strobeReset

    public static void strobeReset()

### writeChannels

    public static void writeChannels(int value)

### writeChannels_SCLK_Channel

    public static void writeChannels_SCLK_Channel(int value)

### writeChannels_SCLK_Module

    public static void writeChannels_SCLK_Module(int value)

### writeChannels_MOSI_Channel

    public static void writeChannels_MOSI_Channel(int value)

### writeChannels_MOSI_Module

    public static void writeChannels_MOSI_Module(int value)

### writeChannels_MISO_Channel

    public static void writeChannels_MISO_Channel(int value)

### writeChannels_MISO_Module

    public static void writeChannels_MISO_Module(int value)

### writeChannels_SS_Channel

    public static void writeChannels_SS_Channel(int value)

### writeChannels_SS_Module

    public static void writeChannels_SS_Module(int value)

### readChannels

    public static int readChannels()

### readChannels_SCLK_Channel

    public static byte readChannels_SCLK_Channel()

### readChannels_SCLK_Module

    public static byte readChannels_SCLK_Module()

### readChannels_MOSI_Channel

    public static byte readChannels_MOSI_Channel()

### readChannels_MOSI_Module

    public static byte readChannels_MOSI_Module()

### readChannels_MISO_Channel

    public static byte readChannels_MISO_Channel()

### readChannels_MISO_Module

    public static byte readChannels_MISO_Module()

### readChannels_SS_Channel

    public static byte readChannels_SS_Channel()

### readChannels_SS_Module

    public static byte readChannels_SS_Module()

### readAvailableToLoad

    public static short readAvailableToLoad()

### strobeReadReceivedData

    public static void strobeReadReceivedData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"